Subject: Re: [PATCH 18/31] powerpc/mm: Increase the pte frag size.

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 21 Sep 2015 18:14:45 +1000

On Mon, 2015-09-21 at 12:10 +0530, Aneesh Kumar K.V wrote:
> /*
> - * We use a 2K PTE page fragment and another 2K for storing
> - * real_pte_t hash index
> + * We use a 2K PTE page fragment and another 4K for storing
> + * real_pte_t hash index. Rounding the entire thing to 8K
>   */

Isn't this a LOT of memory wasted ? Page tables have a non-negligible
footprint, we were already wasting half, now we are wasting 3/4 no ?

Ie, in most cases on modern machines we never use the other "half"...

Ben.